%global __requires_exclude %{?__requires_exclude:%__requires_exclude|}perl\\((HTTP::Date|HTTP::Headers::Util|Win32)\\)$

Name:           perl-HTTP-Cookies
Version:        6.10
Release:        2
Summary:        HTTP cookie jars
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/HTTP-Cookies
Source0:        https://cpan.metacpan.org/authors/id/O/OA/OALDERS/HTTP-Cookies-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  perl-generators perl-interpreter perl(:VERSION) >= 5.8.1
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76 perl(strict) perl(warnings)
BuildRequires:  perl(Carp) perl(HTTP::Date) >= 6 perl(HTTP::Headers::Util) >= 6
BuildRequires:  perl(HTTP::Request) perl(locale) perl(vars)
BuildRequires:  perl(File::Spec) perl(HTTP::Response) perl(Test)
BuildRequires:  perl(Test::More) perl(URI)

Requires:       perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
Requires:       perl(Carp) perl(HTTP::Date) >= 6 perl(HTTP::Headers::Util) >= 6

Conflicts:      perl-libwww-perl < 6

%description
This class is for objects that represent a "cookie jar" -- that is, a
database of all the HTTP cookies that a given LWP::UserAgent object
knows about.

%package help
Summary:        Documentation for perl-HTTP-Cookies

%description help
Documentation for perl-HTTP-Cookies.

%prep
%autosetup -n HTTP-Cookies-%{version} -p1

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=%{buildroot}
%{_fixperms} %{buildroot}/*

%check
make test

%files
%license LICENSE
%{perl_vendorlib}/*
%exclude /usr/lib64/perl5/perllocal.pod

%files help
%doc Changes CONTRIBUTORS README.md
%{_mandir}/man3/


%changelog
* Mon Oct 24 2022 hongjinghao <hongjinghao@huawei.com> 6.10-2
- modify the incorrect changelog

* Thu Jan 28 2021 liudabo <liudabo1@huawei.com> - 6.10-1
- upgrade version to 6.10

* Thu Jul 23 2020 xinghe <xinghe1@huawei.com> - 6.08-1
- update version to 6.08

* Wed Oct 23 2019 Zaiwang Li <lizaiwang1@huawei.com> - 6.04-5
- Init Package.
